# IRsUIControlDesc Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Initialize ([in] RtUIControlDesc desc)
HRESULT | GetIID ([out, retval] IID *piid)
HRESULT | GetPackageCLSID ([out, retval] CLSID *ciid)
HRESULT | GetName ([out, retval] BSTR *bsName)
HRESULT | GetAxString ([out, retval] BSTR *bsAxString)
HRESULT | GetFlags ([out, retval] RtUIDescFlags *pFlags)
HRESULT | GetResId ([out, retval] RtUshort *pRes2D)

## Detailed Description

The IRsUIControlDesc interface provides methods that allow you to work UI connector descriptor.

## Member Function Documentation

HRESULT IRsUIControlDesc::Initialize | ( | [in] RtUIControlDesc | desc | ) |

Initializes the UI control descriptor.

Parameters:

  | desc | [in] Structure that contain UI control descriptor data.

HRESULT IRsUIControlDesc::GetIID | ( | [out, retval] IID * | piid | ) |

Gets the interface id (IID).

Returns:
  piid [out, retval] Pointer to a structure that retrieves interface ID.

HRESULT IRsUIControlDesc::GetPackageCLSID | ( | [out, retval] CLSID * | ciid | ) |

Gets package class id.

Returns:
  ciid [out, retval] Pointer to a structure that retrieve package class ID.

HRESULT IRsUIControlDesc::GetName | ( | [out, retval] BSTR * | bsName | ) |

Gets the name of UI control.

Returns:
  bsName [out, retval] Pointer to a structure that retrieve the name of UI control.

HRESULT IRsUIControlDesc::GetAxString | ( | [out, retval] BSTR * | bsAxString | ) |

Gets ActiveX name of the control.

Returns:
  bsAxString [out, retval] Pointer to a structure that retrieve name of ActiveX control.

HRESULT IRsUIControlDesc::GetFlags | ( | [out, retval] RtUIDescFlags * | pFlags | ) |

Gets descriptor flags.

Returns:
  pFlags [out,retval] Pointer to a structure that retrieve UI control data flags.

HRESULT IRsUIControlDesc::GetResId | ( | [out, retval] RtUshort * | pRes2D | ) |

Gets bitmap of controls.

Returns:
  pRes2D [out, retval] Pointer to a structure that retrieve resource ID of UI control bitmap.